package com.ym.mec.biz.dal.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TenantConfig表config字段,该字段是动态
 * @author hgw
 * Created by 2021-12-22
 */
public class TenantConfigDetail implements Serializable {

    /**
     * 会员设置-分润金额
     */
    private MemberConfig member_config;

    /**
     * 云教室规则
     */
    private CloudRoomRule cloud_room_rule;

    public static class MemberConfig implements Serializable {
        private BigDecimal day_divide;
        private BigDecimal month_divide;
        private BigDecimal quarter_divide;
        private BigDecimal half_year_divide;
        private BigDecimal year_divide;

        public BigDecimal getDay_divide() {
            return day_divide;
        }

        public void setDay_divide(BigDecimal day_divide) {
            this.day_divide = day_divide;
        }

        public BigDecimal getMonth_divide() {
            return month_divide;
        }

        public void setMonth_divide(BigDecimal month_divide) {
            this.month_divide = month_divide;
        }

        public BigDecimal getQuarter_divide() {
            return quarter_divide;
        }

        public void setQuarter_divide(BigDecimal quarter_divide) {
            this.quarter_divide = quarter_divide;
        }

        public BigDecimal getHalf_year_divide() {
            return half_year_divide;
        }

        public void setHalf_year_divide(BigDecimal half_year_divide) {
            this.half_year_divide = half_year_divide;
        }

        public BigDecimal getYear_divide() {
            return year_divide;
        }

        public void setYear_divide(BigDecimal year_divide) {
            this.year_divide = year_divide;
        }
    }

    public static class CloudRoomRule implements Serializable {

        /**
         * 云教室人数上限（含老师）
         */
        private Integer cloud_room_up_limit;

        /**
         * String人数-BigDecimal每分钟扣费标准
         */
        private Map<String, BigDecimal> cloud_room_config;

        public Integer getCloud_room_up_limit() {
            return cloud_room_up_limit;
        }

        public void setCloud_room_up_limit(Integer cloud_room_up_limit) {
            this.cloud_room_up_limit = cloud_room_up_limit;
        }

        public Map<String, BigDecimal> getCloud_room_config() {
            return cloud_room_config;
        }

        public void setCloud_room_config(Map<String, BigDecimal> cloud_room_config) {
            this.cloud_room_config = cloud_room_config;
        }
    }

    public MemberConfig getMember_config() {
        return member_config;
    }

    public void setMember_config(MemberConfig member_config) {
        this.member_config = member_config;
    }

    public CloudRoomRule getCloud_room_rule() {
        return cloud_room_rule;
    }

    public void setCloud_room_rule(CloudRoomRule cloud_room_rule) {
        this.cloud_room_rule = cloud_room_rule;
    }
}
